package cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ToolChoice {
    // 属性: type, 必填
    private String type;

    private ToolFunction toolFunction;

    public void setType(String type) {
        this.type = type;
    }
    public String getType() {
        return type;
    }

    public ToolFunction getToolFunction() {
        return toolFunction;
    }

    public void setToolFunction(ToolFunction toolFunction) {
        this.toolFunction = toolFunction;
    }
}
